package com.happy.Until;

import java.util.regex.Pattern;

public class PwdDefind {

    public static boolean vertify(String pwd){
        //密码至少包含：大小写英文字母、数字、特殊符号,密码长度大于8位,小于20位
        String regex = "^(?=.*[0-9])(?=.*[a-z])(?=.*[A-Z])(?=.*[!@#$%^&+—_=<>.,])(?=\\S+$).{8,20}$";
        return Pattern.matches(regex, pwd);
    }
}
